# Uses of Interface
com.github.lgooddatepicker.optionalusertools.DateVetoPolicy

Packages that use DateVetoPolicy
Package
Description
com.github.lgooddatepicker.components
com.github.lgooddatepicker.zinternaltools

## Uses of DateVetoPolicy in com.github.lgooddatepicker.components

Methods in com.github.lgooddatepicker.components that return DateVetoPolicy
Modifier and Type
Method
Description
`DateVetoPolicy`
DatePickerSettings.`getVetoPolicy()`
getVetoPolicy, This returns the veto policy or null.
Methods in com.github.lgooddatepicker.components with parameters of type DateVetoPolicy
Modifier and Type
Method
Description
`boolean`
DatePickerSettings.`setVetoPolicy(DateVetoPolicy vetoPolicy)`
setVetoPolicy, This sets a veto policy for the parent DatePicker or parent independent CalendarPanel.

## Uses of DateVetoPolicy in com.github.lgooddatepicker.zinternaltools

Classes in com.github.lgooddatepicker.zinternaltools that implement DateVetoPolicy
Modifier and Type
Class
Description
`class`
`DateVetoPolicyMinimumMaximumDate`
DateVetoPolicyMinimumMaximumDate, This class implements a veto policy that can set a minimum and a maximum value for the dates allowed in a DatePicker or a CalendarPanel.
Methods in com.github.lgooddatepicker.zinternaltools with parameters of type DateVetoPolicy
Modifier and Type
Method
Description
`static boolean`
InternalUtilities.`isDateVetoed(DateVetoPolicy policy, LocalDate date)`
isDateVetoed, This is a convenience function for checking whether or not a particular date is vetoed.